package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractDeletesignatoryRequest struct {
	ContractInfo  *common.ContractRequest                             `json:"contractInfo"`
	SignatoryInfo *common.ContractDeletesignatorySignatoryInfoRequest `json:"signatoryInfo"`
	Operator      *common.UserInfoRequest                             `json:"operator,omitempty"`
}

func (obj ContractDeletesignatoryRequest) GetUrl() string {
	return "/contract/deletesignatory"
}

func (obj ContractDeletesignatoryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
